OTPSms

Get SMS price list

Fetch list of available SMS destinations and their prices per SMS. This endpoint supports filtration and returns data with pagination.

GET
/api/v1/sms/otp/country-prices

Query Parameters

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

search?string

Optional parameter that allows to search country prices by country value. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"id" | "country_name" | "country_code" | "phone_code" | "mcc" | "mnc" | "created_at" | "updated_at" | "price"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/country-prices" \  -H "Authorization: string"
{
  "data": [
    {
      "MCC": 0,
      "country": "string",
      "iso": "string",
      "price_sms": 0
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.